Subject: Re: Confusing error message from "git pull" when upstream repo no longer exists

From: "Per Cederqvist" <[email-masked]>
Date: Tue, 29 Jun 2010 13:14:37 +0200

On Tue, 29 Jun 2010 12:55:29 +0200, Santi Béjar <[email-masked]> wrote:

> On Tue, Jun 29, 2010 at 12:33 PM, Per Cederqvist <[email-masked]>  
> wrote:
>> When running "git pull", I get this error message:
>>
>>    fatal: /usr/local/libexec/git-core/git-pull cannot be used without a
>> working tree.
>
> This error message is shown when you try to pull in a bare repository
> (without a working tree). It seems you don't have a working tree, but
> you have a repository, so you can still fetch. (the working tree check
> is done before the fetch).
>
> HTH,
> Santi

Oh. You are correct. I was in a bare repository, so I guess the message
is good after all. Sorry for my mistaken report.

     /ceder
-- 
Per Cederqvist, [email-masked]